import { type ILocalizationService, type LoadFunction, type LoadResult, type ServiceConfig } from './service.svelte.js';
export type ImportLoadResult = {
    default: LoadResult;
};
export type ImportLoads = Record<string, () => Promise<ImportLoadResult>>;
export type ImportLoadFactory = (importFilePath: string) => LoadFunction;
export type FactoryConfig = {
    readonly browser: boolean;
    readonly contextName: string;
    readonly importDirPath: string;
    readonly importLoads: ImportLoads;
};
export type CommonServiceConfig = Omit<ServiceConfig, 'activeLocale'>;
export type InitialServiceConfig = Partial<ServiceConfig> & Pick<ServiceConfig, 'activeLocale'>;
export interface ILocalizationFactory {
    configure(config: FactoryConfig): void;
    config: FactoryConfig;
    setCommonServiceConfig(config: CommonServiceConfig): void;
    commonServiceConfig: CommonServiceConfig;
    importLoaderFactory(): ImportLoadFactory;
    setContextService(service: ILocalizationService): void;
    getContextService(): ILocalizationService;
    initialLoadLocalizations(config: InitialServiceConfig, pathname: string): Promise<ILocalizationService>;
}
export declare function importLoadFactory(importDirPath: string, importLoads: ImportLoads): ImportLoadFactory;
export declare const LocalizationFactory: ILocalizationFactory;
